ValueBaseHolder (Java SE 9 & JDK 9 )
Keywords: org.omg.CORBA.ValueBaseHolder class

Module java.corba
Package org.omg.CORBA

## Class ValueBaseHolder

- java.lang.Object
- - org.omg.CORBA.ValueBaseHolder

- All Implemented Interfaces:
    `Streamable`

      public final class ValueBaseHolder
      extends Object
      implements Streamable

  The Holder for `ValueBase`. For more information on Holder files, see "Generated Files: Holder Files".

  A Holder class for a `java.io.Serializable` that is used to store "out" and "inout" parameters in IDL methods. If an IDL method signature has an IDL `ValueBase` as an "out" or "inout" parameter, the programmer must pass an instance of `ValueBaseHolder` as the corresponding parameter in the method invocation; for "inout" parameters, the programmer must also fill the "in" value to be sent to the server. Before the method invocation returns, the ORB will fill in the value corresponding to the "out" value returned from the server.

  If `myValueBaseHolder` is an instance of `ValueBaseHolder`, the value stored in its `value` field can be accessed with `myValueBaseHolder.value`.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `Serializable` | `value` | The `java.io.Serializable` value held by this `ValueBaseHolder` object.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ValueBaseHolder​()` | Constructs a new `ValueBaseHolder` object with its `value` field initialized to `0`.
    `ValueBaseHolder​(Serializable initial)` | Constructs a new `ValueBaseHolder` object with its `value` field initialized to the given `java.io.Serializable`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `_read​(InputStream input)` | Reads from `input` and initalizes the value in the Holder with the unmarshalled data.
    `TypeCode` | `_type​()` | Returns the `TypeCode` object corresponding to the value held in the Holder.
    `void` | `_write​(OutputStream output)` | Marshals to `output` the value in the Holder.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### value

          public Serializable value

      The `java.io.Serializable` value held by this `ValueBaseHolder` object.

  - ### Constructor Detail

    - #### ValueBaseHolder

          public ValueBaseHolder​()

      Constructs a new `ValueBaseHolder` object with its `value` field initialized to `0`.

    - #### ValueBaseHolder

          public ValueBaseHolder​(Serializable initial)

      Constructs a new `ValueBaseHolder` object with its `value` field initialized to the given `java.io.Serializable`.
      Parameters:
        `initial` - the `java.io.Serializable` with which to initialize the `value` field of the newly-created `ValueBaseHolder` object

  - ### Method Detail

    - #### _read

          public void _read​(InputStream input)

      Reads from `input` and initalizes the value in the Holder with the unmarshalled data.
      Specified by:
        `_read` in interface `Streamable`
      Parameters:
        `input` - the InputStream containing CDR formatted data from the wire

    - #### _write

          public void _write​(OutputStream output)

      Marshals to `output` the value in the Holder.
      Specified by:
        `_write` in interface `Streamable`
      Parameters:
        `output` - the OutputStream which will contain the CDR formatted data

    - #### _type

          public TypeCode _type​()

      Returns the `TypeCode` object corresponding to the value held in the Holder.
      Specified by:
        `_type` in interface `Streamable`
      Returns:
        the TypeCode of the value held in the holder